Update of /cvsroot/fink/dists/10.4/unstable/main/finkinfo/languages
In directory sfp-cvsdas-3.v30.ch3.sourceforge.com:/tmp/cvs-serv8751

Modified Files:
        python27-10.6.info python27.info python31-10.6.info 
        python31.info 
Log Message:
Overhaul python packaging to use Type: python to reduce differences between 
info files. Also enable tests on python31.


Index: python31-10.6.info
===================================================================
RCS file: 
/cvsroot/fink/dists/10.4/unstable/main/finkinfo/languages/python31-10.6.info,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -d -r1.3 -r1.4
--- python31-10.6.info  6 Jul 2010 18:29:34 -0000       1.3
+++ python31-10.6.info  13 Aug 2010 15:51:56 -0000      1.4
@@ -1,7 +1,9 @@
+Info2: <<
 Package: python31
 Version: 3.1.2
 Revision: 102
 Distribution: 10.6
+Type: python (3.1)
 Maintainer: Daniel Johnson <dan...@daniel-johnson.org>
 Depends: <<
        %N-shlibs (= %v-%r),
@@ -50,29 +52,30 @@
        fi
        %{default_script}
 <<
+InfoTest: TestScript: ./runtests.sh || exit 2
 InstallScript: <<
 #!/bin/sh -ex
        make install DESTDIR=%d
 
        # don't propagate our hackery
-       perl -pi -e 's|-L%p/lib/system-openssl/lib||' 
%i/lib/python3.1/config/Makefile
+       perl -pi -e 's|-L%p/lib/system-openssl/lib||' 
%i/lib/python%type_raw[python]/config/Makefile
 
        # fix all main things to be python-versioned filenames with
        # unversioned symlinks to them
        pushd %i/bin
                for f in 2to3 idle3 pydoc3; do
-                       mv ${f} ${f}-3.1
-                       ln -s ${f}-3.1 %i/bin/${f}
+                       mv ${f} ${f}-%type_raw[python]
+                       ln -s ${f}-%type_raw[python] %i/bin/${f}
                done
                #Remove this for now to avoid conflicting with 'python' package.
                rm 2to3
        popd
        
-       ln -s python3.1.1 %i/share/man/man1/python3.1
+       ln -s python%type_raw[python].1 %i/share/man/man1/python3.1
 
        # install some docs and other useful tidbits
        rm -rf Misc/RPM
-       /bin/cp -R Misc Tools %i/lib/python3.1
+       /bin/cp -R Misc Tools %i/lib/python%type_raw[python]
        mkdir -p %i/share/doc/%n
        /bin/cp -R Demo Doc %i/share/doc/%n
        mkdir -p %i/share/doc/%n/html
@@ -81,7 +84,7 @@
 SplitOff: <<
  Package: %N-shlibs
  Depends: libgettext8-shlibs
- Files: lib/python3.1/config/libpython3.1.dylib
+ Files: lib/python%type_raw[python]/config/libpython%type_raw[python].dylib
  Shlibs: %p/lib/python3.1/config/libpython3.1.dylib 3.1.0 %n (>= 3.1-1)
  DocFiles: README LICENSE 
 <<
@@ -97,7 +100,7 @@
                share/man/man1/python3.1
        <<
  DocFiles: README LICENSE
- Description: Generic "python3" command that invokes python31
+ Description: Generic "python3" command that invokes python%type_pkg[python]
 <<
 DocFiles: README LICENSE 
 Description: Interpreted, object-oriented language
@@ -106,14 +109,14 @@
  This package installs unix python - not the OSX Framework version.
  Builds a two-level namespace dynamic libpython (needed for koffice).
 
- The interpretter is installed as "python3.1", and all associated
+ The interpretter is installed as "python%type_raw[python]", and all associated
  commands are similarly named with the python-version in them. To get
  the simple "python3" command, install the fink package "python3" (note:
- the "python3" command there is not guaranteed to be python3.1!).
+ the "python3" command there is not guaranteed to be python%type_raw[python]!).
 <<
 DescUsage: <<
-       python3.1 changes the compiler options used to compile
-       third-party python modules. Please do not add 3.1 variants
+       python%type_raw[python] changes the compiler options used to compile
+       third-party python modules. Please do not add %type_raw[python] variants
        to them without actually testing that they build cleanly.
 <<
 
@@ -128,7 +131,7 @@
        Continue this practice so that -pyXX varianted packages don't
        need special-casing for certain variants.
 
-       Make sure all compiled modules link against libpython3.1 (and
+       Make sure all compiled modules link against libpython%type_raw[python] 
(and
        propagate this to third-party compiled modules) to ensure that
        all symbols resolved at compile-time to avoid packager
        mistakes and user runtime surprises.
@@ -165,3 +168,4 @@
 <<
 License: OSI-Approved
 Homepage: http://www.python.org
+<<

Index: python31.info
===================================================================
RCS file: 
/cvsroot/fink/dists/10.4/unstable/main/finkinfo/languages/python31.info,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -d -r1.4 -r1.5
--- python31.info       6 Jul 2010 18:29:34 -0000       1.4
+++ python31.info       13 Aug 2010 15:51:56 -0000      1.5
@@ -1,7 +1,9 @@
+Info2: <<
 Package: python31
 Version: 3.1.2
 Revision: 2
 Distribution: 10.4, 10.5
+Type: python (3.1)
 Maintainer: Daniel Johnson <dan...@daniel-johnson.org>
 Depends: <<
        %N-shlibs (= %v-%r),
@@ -50,29 +52,30 @@
        fi
        %{default_script}
 <<
+InfoTest: TestScript: ./runtests.sh || exit 2
 InstallScript: <<
 #!/bin/sh -ex
        make install DESTDIR=%d
 
        # don't propagate our hackery
-       perl -pi -e 's|-L%p/lib/system-openssl/lib||' 
%i/lib/python3.1/config/Makefile
+       perl -pi -e 's|-L%p/lib/system-openssl/lib||' 
%i/lib/python%type_raw[python]/config/Makefile
 
        # fix all main things to be python-versioned filenames with
        # unversioned symlinks to them
        pushd %i/bin
                for f in 2to3 idle3 pydoc3; do
-                       mv ${f} ${f}-3.1
-                       ln -s ${f}-3.1 %i/bin/${f}
+                       mv ${f} ${f}-%type_raw[python]
+                       ln -s ${f}-%type_raw[python] %i/bin/${f}
                done
                #Remove this for now to avoid conflicting with 'python' package.
                rm 2to3
        popd
        
-       ln -s python3.1.1 %i/share/man/man1/python3.1
+       ln -s python%type_raw[python].1 %i/share/man/man1/python3.1
 
        # install some docs and other useful tidbits
        rm -rf Misc/RPM
-       /bin/cp -R Misc Tools %i/lib/python3.1
+       /bin/cp -R Misc Tools %i/lib/python%type_raw[python]
        mkdir -p %i/share/doc/%n
        /bin/cp -R Demo Doc %i/share/doc/%n
        mkdir -p %i/share/doc/%n/html
@@ -81,7 +84,7 @@
 SplitOff: <<
  Package: %N-shlibs
  Depends: libgettext8-shlibs
- Files: lib/python3.1/config/libpython3.1.dylib
+ Files: lib/python%type_raw[python]/config/libpython%type_raw[python].dylib
  Shlibs: %p/lib/python3.1/config/libpython3.1.dylib 3.1.0 %n (>= 3.1-1)
  DocFiles: README LICENSE 
 <<
@@ -97,7 +100,7 @@
                share/man/man1/python3.1
        <<
  DocFiles: README LICENSE
- Description: Generic "python3" command that invokes python31
+ Description: Generic "python3" command that invokes python%type_pkg[python]
 <<
 DocFiles: README LICENSE 
 Description: Interpreted, object-oriented language
@@ -106,14 +109,14 @@
  This package installs unix python - not the OSX Framework version.
  Builds a two-level namespace dynamic libpython (needed for koffice).
 
- The interpretter is installed as "python3.1", and all associated
+ The interpretter is installed as "python%type_raw[python]", and all associated
  commands are similarly named with the python-version in them. To get
  the simple "python3" command, install the fink package "python3" (note:
- the "python3" command there is not guaranteed to be python3.1!).
+ the "python3" command there is not guaranteed to be python%type_raw[python]!).
 <<
 DescUsage: <<
-       python3.1 changes the compiler options used to compile
-       third-party python modules. Please do not add 3.1 variants
+       python%type_raw[python] changes the compiler options used to compile
+       third-party python modules. Please do not add %type_raw[python] variants
        to them without actually testing that they build cleanly.
 <<
 
@@ -128,7 +131,7 @@
        Continue this practice so that -pyXX varianted packages don't
        need special-casing for certain variants.
 
-       Make sure all compiled modules link against libpython3.1 (and
+       Make sure all compiled modules link against libpython%type_raw[python] 
(and
        propagate this to third-party compiled modules) to ensure that
        all symbols resolved at compile-time to avoid packager
        mistakes and user runtime surprises.
@@ -160,3 +163,4 @@
 <<
 License: OSI-Approved
 Homepage: http://www.python.org
+<<

Index: python27-10.6.info
===================================================================
RCS file: 
/cvsroot/fink/dists/10.4/unstable/main/finkinfo/languages/python27-10.6.info,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- python27-10.6.info  6 Jul 2010 18:48:06 -0000       1.1
+++ python27-10.6.info  13 Aug 2010 15:51:56 -0000      1.2
@@ -1,8 +1,10 @@
+Info2: <<
 Package: python27
 Version: 2.7
 Revision: 101
 Epoch: 1
 Distribution: 10.6
+Type: python (2.7)
 Maintainer: Daniel Johnson <dan...@daniel-johnson.org>
 Depends: <<
        %N-shlibs (= %e:%v-%r),
@@ -62,22 +64,22 @@
        make install DESTDIR=%d
 
        # don't propagate our hackery
-       perl -pi -e 's|-L%p/lib/system-openssl/lib||' 
%i/lib/python2.7/config/Makefile
+       perl -pi -e 's|-L%p/lib/system-openssl/lib||' 
%i/lib/python%type_raw[python]/config/Makefile
 
        # fix all main things to be python-versioned filenames with
        # unversioned symlinks to them
        pushd %i/bin
                for f in 2to3 idle pydoc smtpd.py; do
-                       mv ${f} ${f}2.7
-                       ln -s ${f}2.7 %i/bin/${f}
+                       mv ${f} ${f}%type_raw[python]
+                       ln -s ${f}%type_raw[python] %i/bin/${f}
                done
        popd
-       ln -s python2.7.1 %i/share/man/man1/python.1
-       ln -s python2.7.1 %i/share/man/man1/python27.1
+       ln -s python%type_raw[python].1 %i/share/man/man1/python.1
+       ln -s python%type_raw[python].1 
%i/share/man/man1/python%type_pkg[python].1
 
        # install some docs and other useful tidbits
        rm -rf Misc/RPM
-       /bin/cp -R Misc Tools %i/lib/python2.7
+       /bin/cp -R Misc Tools %i/lib/python%type_raw[python]
        mkdir -p %i/share/doc/%n
        /bin/cp -R Demo Doc %i/share/doc/%n
        mkdir -p %i/share/doc/%n/html
@@ -85,7 +87,7 @@
 <<
 SplitOff: <<
  Package: %N-shlibs
- Files: lib/python2.7/config/libpython2.7.dylib
+ Files: lib/python%type_raw[python]/config/libpython%type_raw[python].dylib
  Shlibs: %p/lib/python2.7/config/libpython2.7.dylib 2.7.0 %n (>= 1:2.7-1)
  DocFiles: README LICENSE 
 <<
@@ -105,7 +107,7 @@
                share/man/man1/python.1
        <<
  DocFiles: README LICENSE
- Description: Generic "python" command that invokes python27
+ Description: Generic "python" command that invokes python%type_pkg[python]
 <<
 DocFiles: README LICENSE 
 Description: Interpreted, object-oriented language
@@ -114,14 +116,14 @@
  This package installs unix python - not the OSX Framework version.
  Builds a two-level namespace dynamic libpython (needed for koffice).
 
- The interpretter is installed as "python2.7", and all associated
+ The interpretter is installed as "python%type_raw[python]", and all associated
  commands are similarly named with the python-version in them. To get
  the simple "python" command, install the fink package "python" (note:
- the "python" command there is not guaranteed to be python2.7!).
+ the "python" command there is not guaranteed to be python%type_raw[python]!).
 <<
 DescUsage: <<
-       python2.7 changes the compiler options used to compile
-       third-party python modules. Please do not add 2.7 variants
+       python%type_raw[python] changes the compiler options used to compile
+       third-party python modules. Please do not add %type_raw[python] variants
        to them without actually testing that they build cleanly.
 <<
 
@@ -136,7 +138,7 @@
        Continue this practice so that -pyXX varianted packages don't
        need special-casing for certain variants.
 
-       Make sure all compiled modules link against libpython2.7 (and
+       Make sure all compiled modules link against libpython%type_raw[python] 
(and
        propagate this to third-party compiled modules) to ensure that
        all symbols resolved at compile-time to avoid packager
        mistakes and user runtime surprises.
@@ -175,3 +177,4 @@
 <<
 License: OSI-Approved
 Homepage: http://www.python.org
+<<

Index: python27.info
===================================================================
RCS file: 
/cvsroot/fink/dists/10.4/unstable/main/finkinfo/languages/python27.info,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- python27.info       6 Jul 2010 18:48:07 -0000       1.1
+++ python27.info       13 Aug 2010 15:51:56 -0000      1.2
@@ -1,8 +1,10 @@
+Info2: <<
 Package: python27
 Version: 2.7
 Revision: 1
 Epoch: 1
 Distribution: 10.4, 10.5
+Type: python (2.7)
 Maintainer: Daniel Johnson <dan...@daniel-johnson.org>
 Depends: <<
        %N-shlibs (= %e:%v-%r),
@@ -62,22 +64,22 @@
        make install DESTDIR=%d
 
        # don't propagate our hackery
-       perl -pi -e 's|-L%p/lib/system-openssl/lib||' 
%i/lib/python2.7/config/Makefile
+       perl -pi -e 's|-L%p/lib/system-openssl/lib||' 
%i/lib/python%type_raw[python]/config/Makefile
 
        # fix all main things to be python-versioned filenames with
        # unversioned symlinks to them
        pushd %i/bin
                for f in 2to3 idle pydoc smtpd.py; do
-                       mv ${f} ${f}2.7
-                       ln -s ${f}2.7 %i/bin/${f}
+                       mv ${f} ${f}%type_raw[python]
+                       ln -s ${f}%type_raw[python] %i/bin/${f}
                done
        popd
-       ln -s python2.7.1 %i/share/man/man1/python.1
-       ln -s python2.7.1 %i/share/man/man1/python27.1
+       ln -s python%type_raw[python].1 %i/share/man/man1/python.1
+       ln -s python%type_raw[python].1 
%i/share/man/man1/python%type_pkg[python].1
 
        # install some docs and other useful tidbits
        rm -rf Misc/RPM
-       /bin/cp -R Misc Tools %i/lib/python2.7
+       /bin/cp -R Misc Tools %i/lib/python%type_raw[python]
        mkdir -p %i/share/doc/%n
        /bin/cp -R Demo Doc %i/share/doc/%n
        mkdir -p %i/share/doc/%n/html
@@ -85,7 +87,7 @@
 <<
 SplitOff: <<
  Package: %N-shlibs
- Files: lib/python2.7/config/libpython2.7.dylib
+ Files: lib/python%type_raw[python]/config/libpython%type_raw[python].dylib
  Shlibs: %p/lib/python2.7/config/libpython2.7.dylib 2.7.0 %n (>= 1:2.7-1)
  DocFiles: README LICENSE 
 <<
@@ -105,7 +107,7 @@
                share/man/man1/python.1
        <<
  DocFiles: README LICENSE
- Description: Generic "python" command that invokes python27
+ Description: Generic "python" command that invokes python%type_pkg[python]
 <<
 DocFiles: README LICENSE 
 Description: Interpreted, object-oriented language
@@ -114,14 +116,14 @@
  This package installs unix python - not the OSX Framework version.
  Builds a two-level namespace dynamic libpython (needed for koffice).
 
- The interpretter is installed as "python2.7", and all associated
+ The interpretter is installed as "python%type_raw[python]", and all associated
  commands are similarly named with the python-version in them. To get
  the simple "python" command, install the fink package "python" (note:
- the "python" command there is not guaranteed to be python2.7!).
+ the "python" command there is not guaranteed to be python%type_raw[python]!).
 <<
 DescUsage: <<
-       python2.7 changes the compiler options used to compile
-       third-party python modules. Please do not add 2.7 variants
+       python%type_raw[python] changes the compiler options used to compile
+       third-party python modules. Please do not add %type_raw[python] variants
        to them without actually testing that they build cleanly.
 <<
 
@@ -136,7 +138,7 @@
        Continue this practice so that -pyXX varianted packages don't
        need special-casing for certain variants.
 
-       Make sure all compiled modules link against libpython2.7 (and
+       Make sure all compiled modules link against libpython%type_raw[python] 
(and
        propagate this to third-party compiled modules) to ensure that
        all symbols resolved at compile-time to avoid packager
        mistakes and user runtime surprises.
@@ -170,3 +172,4 @@
 <<
 License: OSI-Approved
 Homepage: http://www.python.org
+<<


------------------------------------------------------------------------------
This SF.net email is sponsored by 

Make an app they can't live without
Enter the BlackBerry Developer Challenge
http://p.sf.net/sfu/RIM-dev2dev 
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
http://news.gmane.org/gmane.os.apple.fink.cvs

Reply via email to